"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dynamic_value_1 = require("./dynamic-value");
class DOMTokenList extends Array {
    constructor(value) {
        if (value && typeof value === "string") {
            super(...value.trim().split(/ +/));
        }
        else {
            super(0);
        }
        if (value instanceof dynamic_value_1.DynamicValue) {
            this.value = value.expr;
        }
        else {
            this.value = value;
        }
    }
    item(n) {
        return this[n];
    }
    contains(token) {
        return this.indexOf(token) >= 0;
    }
}
exports.DOMTokenList = DOMTokenList;
