import { HtmlElement } from "../dom";
import { SchemaValidationPatch } from "../plugin";
import { ElementTable, MetaDataTable, MetaElement } from "./element";
export declare class MetaTable {
    readonly elements: ElementTable;
    private schema;
    constructor();
    init(): void;
    /**
     * Extend validation schema.
     */
    extendValidationSchema(patch: SchemaValidationPatch): void;
    /**
     * Load metadata table from object.
     */
    loadFromObject(obj: MetaDataTable): void;
    /**
     * Load metadata table from filename
     */
    loadFromFile(filename: string): void;
    getMetaFor(tagName: string): MetaElement;
    private addEntry;
    /**
     * Finds the global element definition and merges each known element with the
     * global, e.g. to assign global attributes.
     */
    private resolveGlobal;
    private mergeElement;
    resolve(node: HtmlElement): void;
}
