"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const better_ajv_errors_1 = __importDefault(require("better-ajv-errors"));
const user_error_1 = require("../error/user-error");
class MetaValidationError extends user_error_1.UserError {
    constructor(message, obj, schema, errors) {
        super(message);
        this.obj = obj;
        this.schema = schema;
        this.errors = errors;
    }
    prettyError() {
        return better_ajv_errors_1.default(this.schema, this.obj, this.errors, {
            format: "cli",
            indent: 2,
        });
    }
}
exports.MetaValidationError = MetaValidationError;
